# FontLeague

FontLeague collects the fonts of [The League of Moveable Type](https://www.theleagueofmoveabletype.com/) and compiles them into an easy to use ruby gem. With SASS, SCSS and Sprockets support, FontLeague is ready for integration into the asset pipeline of any rails application.

Very special thanks to the very talented people at [The League of Moveable Type](https://www.theleagueofmoveabletype.com/) for doing what they do.

![https://www.theleagueofmoveabletype.com/](https://www.theleagueofmoveabletype.com/images/logo-tiny-text.png)

## Installation

Add this line to your application's Gemfile:

    gem 'font_league'

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install font_league

## Usage

In your `application.css`, include the css file:

    ```css
    /*
     *= require font-league
     */
    ```

Then restart your web server if it was previously running.

## Fonts

### Ostrich Sans

![Ostrich Sans](https://github.com/theleagueof/ostrich-sans/raw/master/images/ostrich-sans-1.jpeg)

    font-family: 'Ostrich Sans';
    font-family: 'Ostrich Sans Dashed';
    font-family: 'Ostrich Sans Rounded';
    font-family: 'Ostrich Sans Inline';
    font-family: 'Ostrich Sans Inline';

### League Gothic

![League Gothic](https://github.com/theleagueof/league-gothic/raw/master/images/league-gothic-1.png)

    font-family: 'League Gothic';
    font-family: 'League Gothic Condensed';

### Knewave

![Knewave](https://github.com/theleagueof/knewave/raw/master/images/knewave-1.png)

    font-family: 'Knewave Regular';
    font-family: 'Knewave Outline Regular';

### Blackout

![Blackout](https://github.com/theleagueof/blackout/raw/master/images/blackout-1.jpeg)

    font-family: 'Blackout Midnight';
    font-family: 'Blackout Sunrise';
    font-family: 'Blackout Two AM';

### Fanwood

![Fanwood](https://github.com/theleagueof/fanwood/raw/master/images/fanwood-1.jpeg)

    font-family: 'Fanwood';
    font-family: 'Fanwood Italic';
    font-family: 'Fanwood Text';
    font-family: 'Fanwood Text Italic';

### Linden Hill

![Linden Hill](https://github.com/theleagueof/linden-hill/raw/master/images/linden-hill-1.jpeg)

    font-family: 'Linden Hill';

###  League Script Number One

![League Script Number One](https://github.com/theleagueof/league-script-number-one/raw/master/images/league-script-number-one-1.jpeg)

    font-family: 'League Script Number One';

### Raleway

![Raleway](https://github.com/theleagueof/raleway/raw/master/images/raleway-1.jpeg)

    font-family: 'Raleway';

### Prociono

![Prociono](https://github.com/theleagueof/prociono/raw/master/images/prociono-1.png)

    font-family: 'Prociono';

### Orbitron

![Orbitron](https://github.com/theleagueof/orbitron/raw/master/images/orbitron-1.jpeg)

    font-family: 'Orbitron';

### Goudy Bookletter 1911
![Goudy Bookletter 1911](https://github.com/theleagueof/goudy-bookletter-1911/raw/master/images/goudy-bookletter-1911-1.jpeg)

    font-family: 'Goudy Bookletter 1911';

### Sorts Mill Goudy
![Sorts Mill Goudy](https://github.com/theleagueof/sorts-mill-goudy/raw/master/images/sorts-mill-goudy-1.png)

    font-family: 'Sorts Mill Goudy';

### Chunk

![Chunk](https://github.com/theleagueof/chunk/raw/master/images/chunk-1.jpeg)

    font-family: 'Chunkfive';

### Sniglet

![Sniglet](https://github.com/theleagueof/sniglet/raw/master/images/sniglet-1.jpeg)

    font-family: 'Sniglet';

### Junction

![Junction](https://github.com/theleagueof/junction/raw/master/images/junction-1.png)

    font-family: 'Junction';

## Contributing

1. Fork it
2. Create your feature branch (`git checkout -b my-new-feature`)
3. Commit your changes (`git commit -am 'Add some feature'`)
4. Push to the branch (`git push origin my-new-feature`)
5. Create new Pull Request
